Status: Closed

Priority: Severe/Regression

Assignee:

Category: Forms

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 24283

Description

Changing a value is not possible, will revert to default value by clicking on another Widget.

Seems to effect everything defined as QgsDoubleSpinBox as used in 

- widget_simplemarker.ui, widget_simpleline.ui, widget_simplefill.ui

(Changing of numeric values for points, linestrings and polygons)

History

#1 - 2017-03-23 12:40 AM - Nyall Dawson

- Status changed from Open to Feedback

Cannot reproduce on Linux (Fedora 25) or Windows

#2 - 2017-03-30 10:53 AM - Mark Johnson

I just noticed that I did not make myself clear with this report.

    -  with change I meant changing the numbers in the edit field of the widget

I just tried the spin-control (up/down arrows) and that changed value remains

    -  even after clicking on another control

So this happens only when the number is 'edited', not when using the up/down arrows.

    -  after changing the value with the up/down arrows (from 10 to 11) and changing the number in the edit field (from 11 to 12)

    -  it will revert back to the value last set by the up/down arrows (11)

#3 - 2017-03-30 03:06 PM - Nyall Dawson

That's not reproducible either. I think you'll need to insert some breakpoints in qgsdoublespinbox.cpp (QgsDoubleSpinBox::changeEvent,

QgsDoubleSpinBox::changed, QgsDoubleSpinBox::valueFromText, QgsDoubleSpinBox::validate would be good places to start) and see what's occurring.

#4 - 2017-04-19 11:29 PM - Mark Johnson

This problem seems to have 'disappeared', for it no longer happens now.

So I think it can be closed (not sure if I should do this myself).

#5 - 2017-04-20 12:12 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Feedback to Closed
